Debian Bug report logs - #666866
live-config script depends not fulfilled

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: James Stilwell III <jamesstilwell3rd@gmail.com>

Date: Sun, 1 Apr 2012 22:33:02 UTC

Severity: important

Fixed in version live-config/3.0~a34-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#666866; Package live-build. (Sun, 01 Apr 2012 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Stilwell III <jamesstilwell3rd@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 01 Apr 2012 22:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Stilwell III <jamesstilwell3rd@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: live-config scripts not executed at boot
Date: Sun, 01 Apr 2012 17:27:55 -0500
Package: live-build
Version: 3.0~a45-1
Severity: important

Scripts in /lib/live/config do not appear to execute at boot.
Hostname and username values are not read from lb command line, config/binary, or bootloader command line.  System boots but no username or hostname are configured.
Possible this bug belongs to live-boot or live-config (my apologies if this is the case)
Command:  "lb config && lb build" (default package options)

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3-0.slh.6-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap  0.5.8+b1
ii  debootstrap   1.0.39

Versions of packages live-build recommends:
pn  cpio                            2.11-7
pn  gettext-base                    0.18.1.1-5
pn  gnu-fdisk                       <none>
pn  live-boot-doc                   3.0~a25-1
pn  live-config-doc                 <none>
pn  live-manual-html | live-manual  <none>

Versions of packages live-build suggests:
ii  dosfstools      3.0.12-1
ii  fakeroot        1.18.2-1
ii  genisoimage     9:1.1.11-2
ii  memtest86+      4.20-1.1
ii  mtools          4.0.12-1
ii  parted          2.3-9
ii  squashfs-tools  1:4.2-4+b1
ii  sudo            1.8.3p2-1
ii  syslinux        2:4.05+dfsg-2
ii  uuid-runtime    2.20.1-4
ii  win32-loader    0.7.4.4

-- no debconf information




Bug reassigned from package 'live-build' to 'live-config'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 02 Apr 2012 04:30:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions live-build/3.0~a45-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 02 Apr 2012 04:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-config script depends not fulfilled' from 'live-build: live-config scripts not executed at boot' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 02 Apr 2012 04:30:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 02 Apr 2012 04:30:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 07:06:04 GMT) Full text and rfc822 format available.

Notification sent to James Stilwell III <jamesstilwell3rd@gmail.com>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 07:06:04 GMT) Full text and rfc822 format available.

Message #18 received at 666866-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 666866-close@bugs.debian.org
Subject: Bug#666866: fixed in live-config 3.0~a34-1
Date: Tue, 03 Apr 2012 07:03:30 +0000
Source: live-config
Source-Version: 3.0~a34-1

We believe that the bug you reported is fixed in the latest version of
live-config, which is due to be installed in the Debian FTP archive:

live-config-doc_3.0~a34-1_all.deb
  to main/l/live-config/live-config-doc_3.0~a34-1_all.deb
live-config-systemd_3.0~a34-1_all.deb
  to main/l/live-config/live-config-systemd_3.0~a34-1_all.deb
live-config-sysvinit_3.0~a34-1_all.deb
  to main/l/live-config/live-config-sysvinit_3.0~a34-1_all.deb
live-config-upstart_3.0~a34-1_all.deb
  to main/l/live-config/live-config-upstart_3.0~a34-1_all.deb
live-config_3.0~a34-1.debian.tar.gz
  to main/l/live-config/live-config_3.0~a34-1.debian.tar.gz
live-config_3.0~a34-1.dsc
  to main/l/live-config/live-config_3.0~a34-1.dsc
live-config_3.0~a34-1_all.deb
  to main/l/live-config/live-config_3.0~a34-1_all.deb
live-config_3.0~a34.orig.tar.gz
  to main/l/live-config/live-config_3.0~a34.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666866@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Apr 2012 08:50:38 +0200
Source: live-config
Binary: live-config live-config-doc live-config-systemd live-config-sysvinit live-config-upstart
Architecture: source all
Version: 3.0~a34-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-config - Debian Live - System Configuration Scripts
 live-config-doc - Debian Live - System Configuration Scripts (documentation)
 live-config-systemd - Debian Live - System Configuration Scripts (systemd backend)
 live-config-sysvinit - Debian Live - System Configuration Scripts (sysvinit backend)
 live-config-upstart - Debian Live - System Configuration Scripts (upstart backend)
Closes: 666866
Changes: 
 live-config (3.0~a34-1) unstable; urgency=low
 .
   * Removing runit backend, focusing in supporting the main init systems
     only (systemd, sysvinit, upstart), for the time being at least.
   * Mounting /proc if necessary (Closes: #666866).
Checksums-Sha1: 
 891240c9cc2f1b4f51ab31c1fbec07c0634f066f 1557 live-config_3.0~a34-1.dsc
 142deae273b15b7820a03da2a664e7a2bc133a69 106015 live-config_3.0~a34.orig.tar.gz
 d290f944b89371eeea40c367ea5371d6e2f68a9b 10746 live-config_3.0~a34-1.debian.tar.gz
 55485479adef3bf0178b080e92e568fa8269525f 22188 live-config_3.0~a34-1_all.deb
 1011b806b2cfb1a3f8498512ee350d8b5b24e608 43746 live-config-doc_3.0~a34-1_all.deb
 41f9f68bd61e95bfe7263427f2f4567642ea573d 10076 live-config-systemd_3.0~a34-1_all.deb
 92cfa4e19d9a90af18a6a002d15b626a3e32ffa8 11300 live-config-sysvinit_3.0~a34-1_all.deb
 9232aae49252ebd44f89b130789f435024c2b8d4 11162 live-config-upstart_3.0~a34-1_all.deb
Checksums-Sha256: 
 5b0fdd968a94ebfb59b0bf3cc850cccc8ec8dedcb24fd4b79b32c5e715f8709e 1557 live-config_3.0~a34-1.dsc
 62e1b214f2384009815d4d2f01b0515213c15f9a06f678ccd38fc56feb171c02 106015 live-config_3.0~a34.orig.tar.gz
 19fea3c43596c88273dc06d271fba341e7519540574cf56528b6cf2578a0eba2 10746 live-config_3.0~a34-1.debian.tar.gz
 09568007245329378e91d41c3a35398474eb6421ce455fc956bd8f15632911d7 22188 live-config_3.0~a34-1_all.deb
 cc031d9afaa51cf85f32b84dbbb576486e2bc9dbce8370514d90dfd957f34b8e 43746 live-config-doc_3.0~a34-1_all.deb
 c428995707b9754eaeadcbe6f96a53bcbd05ba9c21a70299d1ab346dd6da2751 10076 live-config-systemd_3.0~a34-1_all.deb
 0060e8bb1b8bfee1e4c74611204957c177617f7378b14718e08eaf54b5015661 11300 live-config-sysvinit_3.0~a34-1_all.deb
 a6cf42331eb0278708bbd41254902e42b90ce12467d5585056a586652fca762a 11162 live-config-upstart_3.0~a34-1_all.deb
Files: 
 01eab0aa87a752af120fc2594bba1f29 1557 misc optional live-config_3.0~a34-1.dsc
 1fb4e88897a9a1d3855d071fe55078fd 106015 misc optional live-config_3.0~a34.orig.tar.gz
 9ec667fdb6c653bf9bc0371470210e8c 10746 misc optional live-config_3.0~a34-1.debian.tar.gz
 c98c33a39e16fd23adec9b1bc796ce0f 22188 misc optional live-config_3.0~a34-1_all.deb
 dcbedfd0adf1341dfd08641693eed0ba 43746 doc optional live-config-doc_3.0~a34-1_all.deb
 8f4954b32e8cd8a313036dd95e8d3af6 10076 misc optional live-config-systemd_3.0~a34-1_all.deb
 effd7fce90e331ef920eac952a2a7054 11300 misc optional live-config-sysvinit_3.0~a34-1_all.deb
 092a83129eb0ebc481b83e56a3ae2eb4 11162 misc optional live-config-upstart_3.0~a34-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk96ns0ACgkQ+C5cwEsrK54sXgCggYWRUA+reXYrxA2B5PB0aHfo
zF8AnRl9ot9/z9o5u1XIsBfT0QP7jbQx
=TgMf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 May 2012 07:37:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:47:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.